commit:     c74d15106f9697b61b26186ea345b33667d77420
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 06:15:55 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 11:24:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c74d1510

dev-ruby/activemodel: enable ruby32 for 7.0.x

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild | 43 ++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild 
b/dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild
new file mode 100644
index 000000000000..62707fb49444
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and 
Active Resource"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+       test? (
+               ~dev-ruby/railties-${PV}
+               dev-ruby/test-unit:2
+               dev-ruby/mocha
+               >=dev-ruby/bcrypt-ruby-3.1.7
+               <dev-ruby/minitest-5.16:*
+       )"
+
+all_ruby_prepare() {
+       # Set test environment to our hand.
+       sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove 
load paths"
+}

Reply via email to